Bug 6161 - wrong config
: wrong config
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/libhw-tools)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2005-02-24 16:09 by
Modified: 2005-07-13 15:47 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2005-02-24 16:09:12
при использовании -f генерится конфиг не перевариваемый X-ами.
Ошибка следующая:
Parse error on line 50 of section Screen in file /tmp/xconfig                   
        "EndSection" is not a valid keyword in this section.

Речь идёь о EndSection для SubSection Display.
Сам конфиг такой:
Section "Files"                                                                

        FontPath   "unix/:-1"                                                  

EndSection                                                                     



Section "Module"                                                               

        Load        "dbe"                                                      

        Load        "/usr/X11R6/lib/modules/extensions/libglx.a"               

        Load        "dri"                                                      

        Load        "type1"                                                    

        Load        "freetype"                                                 

EndSection                                                                     



Section "DRI"                                                                  

        Mode        0666                                                       

EndSection                                                                     



Section "InputDevice"                                                          

        Identifier "Keyboard1"                                                 

        Driver      "kbd"                                                      

        Option "AutoRepeat"  "250 30"                                          

        EndSection                                                             



Section "InputDevice"                                                          

        Identifier  "mouse0"                                                   

        Option  "Device"        "/dev/input/mice"                              

        #"Logitech N48"                                                        

        Driver  "mouse"                                                        

        Option "Protocol"    "IMPS/2"                                          

        Option "ZAxisMapping" "4 5"                                            

EndSection                                                                     



Section "Device"                                                               

        Identifier  "Device0"                                                  

        Driver  "r128"                                                         

EndSection                                                                     



Section "Monitor"                                                              

        Identifier  "Monitor at Device0"                                       

EndSection                                                                     



Section "Screen"                                                               

        Identifier  "Screen at Device0"                                        

        Device      "Device0"                                                  

        Monitor     "Monitor at Device0"                                       

        DefaultColorDepth       8                                              

        Subsection "Display"                                                   

                Depth       8                                                  

                Modes      "640x480"                                           

                ViewPort    0 0                                                

        EndSection                                                             

EndSection                                                                     



Section "ServerLayout"                                                         

        Identifier      "Default Layout"                                       

        Screen  "Screen at Device0"                                            

        InputDevice  "mouse0"     "CorePointer"                                

        InputDevice "Keyboard1" "CoreKeyboard"                                 



EndSection
------- Comment #1 From 2005-03-23 16:36:41 -------
fixed (0.2.7.2)